package com.mmc.iuav.user.entity;

import com.mmc.iuav.user.model.vo.CompanyMemberVO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @author: zj
 * @Date: 2023/7/24 16:10
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class CompanyMemberDO implements Serializable {
    private static final long serialVersionUID = -794726861746700741L;
    private Integer id;
    private Integer userAccountId;
    private Integer companyInfoId;
    private Integer leader;
    private Date createTime;

    private String roleName;

    public CompanyMemberVO builCompanyMemberVO(){
        return CompanyMemberVO.builder()
                .userAccountId(userAccountId)
                .roleId(leader)
                .roleName(roleName)
                .build();
    }


}
